Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1812258 - Operand list status sort only checks status.phase, which is different from what we show in the column
Summary: Operand list status sort only checks status.phase, which is different from wh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Joe Caiani
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1812076
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-10 20:35 UTC by bpeterse
Modified: 2020-05-04 11:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1812076
Environment:
Last Closed: 2020-05-04 11:45:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
Sort on Status (398.88 KB, image/png)
2020-03-20 08:07 UTC, Yadan Pei
no flags Details
Sort on Status - phase (274.16 KB, image/png)
2020-03-20 08:08 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4769 0 None closed [release-4.4] Bug 1812258: Create custom sort for operand status colunn 2020-03-25 18:58:07 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:46:06 UTC

Description bpeterse 2020-03-10 20:35:28 UTC
+++ This bug was initially created as a clone of Bug #1812076 +++

Version 4.4

https://github.com/openshift/console/pull/3121 added the capability to show different status values from the operand. It didn't update the table sort, however, so the result of sorting on the status column will not match the display value. We either need to disable sort or add a `sortFunc` that has the same logic.

Comment 3 Yadan Pei 2020-03-20 08:07:43 UTC
Created attachment 1671711 [details]
Sort on Status

Comment 4 Yadan Pei 2020-03-20 08:08:59 UTC
Created attachment 1671712 [details]
Sort on Status - phase

Comment 5 Yadan Pei 2020-03-20 08:14:11 UTC
1. Install some operators like Kiali Operator, AMQ Streams Operator and create custom resource
2. When Status column is showing status as text Condition: xxx  or Phase: xxx, sort by Status column, the sorting works


Verified on 4.4.0-0.nightly-2020-03-19-205629

Comment 7 errata-xmlrpc 2020-05-04 11:45:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.